# SplDoublyLinkedList::add

(PHP 5 >= 5.5.0, PHP 7)

SplDoublyLinkedList::add — Add/insert a new value at the specified index

### Description

public SplDoublyLinkedList::add ( mixed `$index` , mixed `$newval` ) : void

Insert the value `newval` at the specified `index`, shuffling the previous value at that index (and all subsequent values) up through the list.

### Parameters

`index`

  The index where the new value is to be inserted.

`newval`

  The new value for the `index`.

### Return Values

No value is returned.

### Errors/Exceptions

Throws OutOfRangeException when `index` is out of bounds or when `index` cannot be parsed as an integer.